## com.fasterxml.jackson.databind.jsontype.impl
Class TypeSerializerBase

    java.lang.Object
      com.fasterxml.jackson.databind.jsontype.TypeSerializer
          com.fasterxml.jackson.databind.jsontype.impl.TypeSerializerBase

Direct Known Subclasses:
  AsArrayTypeSerializer, AsExternalTypeSerializer, AsWrapperTypeSerializer

    public abstract class TypeSerializerBase

extends TypeSerializer

Field Summary
`protected TypeIdResolver` `_idResolver`
`protected BeanProperty` `_property`

Constructor Summary
`protected` `TypeSerializerBase(TypeIdResolver idRes, BeanProperty property)`

Method Summary
`String` `getPropertyName()` Name of property that contains type information, if property-based inclusion is used.
`TypeIdResolver` `getTypeIdResolver()` Accessor for object that handles conversions between types and matching type ids.
`abstract com.fasterxml.jackson.annotation.JsonTypeInfo.As` `getTypeInclusion()` Accessor for type information inclusion method that serializer uses; indicates how type information is embedded in resulting JSON.
`protected String` `idFromValue(Object value)`
`protected String` `idFromValueAndType(Object value, Class<?> type)`

Methods inherited from class com.fasterxml.jackson.databind.jsontype.TypeSerializer

`forProperty, writeCustomTypePrefixForArray, writeCustomTypePrefixForObject, writeCustomTypePrefixForScalar, writeCustomTypeSuffixForArray, writeCustomTypeSuffixForObject, writeCustomTypeSuffixForScalar, writeTypePrefixForArray, writeTypePrefixForArray, writeTypePrefixForObject, writeTypePrefixForObject, writeTypePrefixForScalar, writeTypePrefixForScalar, writeTypeSuffixForArray, writeTypeSuffixForObject, writeTypeSuffixForScalar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _idResolver

    protected final TypeIdResolver _idResolver

### _property

    protected final BeanProperty _property

Constructor Detail

### TypeSerializerBase

    protected TypeSerializerBase(TypeIdResolver idRes,
                                 BeanProperty property)

Method Detail

### getTypeInclusion

    public abstract com.fasterxml.jackson.annotation.JsonTypeInfo.As getTypeInclusion()

  Description copied from class: `TypeSerializer`
  Accessor for type information inclusion method that serializer uses; indicates how type information is embedded in resulting JSON.

  Specified by:
    `getTypeInclusion` in class `TypeSerializer`

### getPropertyName

    public String getPropertyName()

  Description copied from class: `TypeSerializer`
  Name of property that contains type information, if property-based inclusion is used.

  Specified by:
    `getPropertyName` in class `TypeSerializer`

### getTypeIdResolver

    public TypeIdResolver getTypeIdResolver()

  Description copied from class: `TypeSerializer`
  Accessor for object that handles conversions between types and matching type ids.

  Specified by:
    `getTypeIdResolver` in class `TypeSerializer`

### idFromValue

    protected String idFromValue(Object value)

### idFromValueAndType

    protected String idFromValueAndType(Object value,
                                        Class<?> type)

Copyright © 2012 fasterxml.com. All Rights Reserved.